### Method

# Pango LayoutIter get_index

#### Declaration [src]

    int
    pango_layout_iter_get_index (
      PangoLayoutIter* iter
    )

#### Description [src]

Gets the current byte index.

Note that iterating forward by char moves in visual order, not logical order, so indexes may not be sequential. Also, the index may be equal to the length of the text in the layout, if on the `NULL` run (see `pango_layout_iter_get_run()`).

#### Return value

Type: `int`

Current byte index.